# Uses of Enum Class
org.apache.datasketches.partitions.BoundsRule

Packages that use BoundsRule
Package
Description
org.apache.datasketches.partitions
This package is for classes that simplify the task of partitioning large data into many approximately equal-sized partitions.

## Uses of BoundsRule in org.apache.datasketches.partitions

Subclasses with type arguments of type BoundsRule in org.apache.datasketches.partitions
Modifier and Type
Class
Description
`enum`
`BoundsRule`
This instructs the user about which of the upper and lower bounds of a partition definition row should be included with the returned data.
Fields in org.apache.datasketches.partitions declared as BoundsRule
Modifier and Type
Field
Description
`BoundsRule`
Partitioner.PartitionBoundsRow.`rule`
The BoundsRule for this partition description row.
Methods in org.apache.datasketches.partitions that return BoundsRule
Modifier and Type
Method
Description
`static BoundsRule`
BoundsRule.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BoundsRule[]`
BoundsRule.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.datasketches.partitions with parameters of type BoundsRule
Modifier and Type
Method
Description
`S`
SketchFillRequest.`getRange(T lowerQuantile, T upperQuantile, BoundsRule boundsRule)`
This is a callback request to the data source to fill a quantiles sketch with a range of data between upper and lower bounds.